Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.config
Interface TSInitInfo

All Known Implementing Classes:
  TSInitInfoImp

Deprecated. This interface has been replaced by regular properties on the UserTransactionService and UserTransactionServiceFactory classes.

    public interface TSInitInfo

Initializer information for the UserTransactionService. Instances can be passed to a UserTransactionService during initialization.

Method Summary
`Enumeration` | `getLogAdministrators()` Deprecated. Do this through the UserTransactionService instead.
`Properties` | `getProperties()` Deprecated. Get the configuration properties for the transaction service.
`String` | `getProperty(String name)` Deprecated. Get the value of the given property.
`Enumeration` | `getResources()` Deprecated. Do this through the UserTransactionService instead.
`void` | `registerLogAdministrator(LogAdministrator admin)` Deprecated. Do this through the UserTransactionService instead.
`void` | `registerResource(RecoverableResource resource)` Deprecated. Do this through the UserTransactionService instead.
`void` | `setProperties(Properties properties)` Deprecated. Sets the properties that the transaction service should use.
`void` | `setProperty(String name, String value)` Deprecated. Set the initialization property with the given name

Method Detail

### registerLogAdministrator

    void registerLogAdministrator(LogAdministrator admin)

  Deprecated. Do this through the UserTransactionService instead.

  Register a LogAdministrator instance for administration. This allows inspection of active transactions and manual intervention. Care should be taken if multiple instances are registered: the responsibility of taking conflicting manual decisions is entirely with the user!

  Parameters:
    `admin` - The instance.

### registerResource

    void registerResource(RecoverableResource resource)

  Deprecated. Do this through the UserTransactionService instead.

  Add a resource. The purpose of registering resources is mainly to be able to enable recovery of these resources. This is needed for those ResourceTransaction instances that do not encapsulate the full state themselves, such as in the XAResource case.

  Parameters:
    `resource` - The resource to add.

### getResources

    Enumeration getResources()

  Deprecated. Do this through the UserTransactionService instead.

  Get the resources registered.

  Returns:
    Enumeration The resources, or empty if none.

### getLogAdministrators

    Enumeration getLogAdministrators()

  Deprecated. Do this through the UserTransactionService instead.

  Get the log administrators.

  Returns:
    Enumeration The registered administrators.

### setProperties

    void setProperties(Properties properties)

  Deprecated.
  Sets the properties that the transaction service should use.

  Parameters:
    `properties` - The properties. These values will override any properties found in the server configuration file.

### getProperties

    Properties getProperties()

  Deprecated.
  Get the configuration properties for the transaction service.

  Returns:
    Properties The configuration properties. Initially, these will include any properties read from the server configuration file.

### setProperty

    void setProperty(String name,
                     String value)

  Deprecated.
  Set the initialization property with the given name

  Parameters:
    `name` - The name of the property.
    `value` - The value.

### getProperty

    String getProperty(String name)

  Deprecated.
  Get the value of the given property.

  Parameters:
    `name` - The name of the property.
  Returns:
    String The property value, or null if not defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.